Bug 977985 - Builder does not need to send "deployed a template application" client result
Builder does not need to send "deployed a template application" client result
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 14:11 EDT by Clayton Coleman
Modified: 2015-05-14 19:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-22 11:18:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2013-06-25 14:11:25 EDT
During app initial deployment, if initial_git_url is specified the runtime will display the client result: "The cartridge php deployed a template application"

This message doesn't add a lot of value to users (clients should already inform them).  We should not display it, or only log it to the platform trace for debugging.

Also, during PHP creation we log this result:

  Starting Apache+mod_php HTTPD server

That is also not useful to users - we should not be displaying that message (clients should already be communicating that applications start by default).
Comment 1 Jhon Honce 2013-06-25 15:14:42 EDT
We need to review these expectations, and write a trello card, QE writes bugs if these messages are not present.
Comment 2 Clayton Coleman 2013-06-25 17:44:47 EDT
I've been meaning to sit down and go over this - generally, the only information that should be CLIENT_MESSAGE'd during application creation is:

a) data that cannot be found anywhere else (passwords, env vars)
b) messages that warn about an outcome a user might not expect
c) errors

So mysql should be allowed to print the password, the basic message, and the info, but there's no need for apache to tell the user they're starting up, or the template application info to be printed.  The client has no way to parse or hide that information, which means it always has to be shown to the user.  It's the client's responsibility to convey things that are returned by the REST API, or are the behavior of the system.  CLIENT_MESSAGE should be reserved for exceptional cases.
Comment 3 Clayton Coleman 2013-06-25 23:51:38 EDT
Fixed in https://github.com/openshift/origin-server/pull/2927
Comment 4 Wei Sun 2013-07-02 05:32:54 EDT
Check this bug on devenv_3436,but " Starting Apache+mod_php HTTPD server" still is displaying.

Result:
[root@ip-10-164-53-119 ~]# rhc app-create phptt php-5.3
Password: *


Application Options
-------------------
  Namespace:  wsun3dev3436
  Cartridges: php-5.3
  Gear Size:  default
  Scaling:    no

Creating application 'phptt' ... done

  Application phptt was created.
  Starting Apache+mod_php HTTPD server

Waiting for your DNS name to be available ... done

Cloning into 'phptt'...
The authenticity of host 'phptt-wsun3dev3436.dev.rhcloud.com (10.164.53.119)' can't be established.
RSA key fingerprint is 80:5f:29:91:57:a2:ea:ad:6e:2c:27:a4:9e:73:f6:b0.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'phptt-wsun3dev3436.dev.rhcloud.com' (RSA) to the list of known hosts.

Your application 'phptt' is now available.

  URL:        http://phptt-wsun3dev3436.dev.rhcloud.com/
  SSH to:     a9dffcd237e811e4ab5322000aa43577@phptt-wsun3dev3436.dev.rhcloud.com
  Git remote: ssh://a9dffcd237e811e4ab5322000aa43577@phptt-wsun3dev3436.dev.rhcloud.com/~/git/phptt.git/
  Cloned to:  /root/phptt

Run 'rhc show-app phptt' for more details about your app.
Comment 5 openshift-github-bot 2013-07-18 18:00:32 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/1ca111ee1d577c954a8526c3c30a7e56029b8f2c
Bug 977985

Remove messages with little informational value
Comment 6 Meng Bo 2013-07-19 01:13:21 EDT
checked on devenv_3527.


Application Options
-------------------
  Namespace:  bmengdev
  Cartridges: php-5.3
  Gear Size:  default
  Scaling:    no

Creating application 'php1' ... done


Waiting for your DNS name to be available ... done

Cloning into 'php1'...

Your application 'php1' is now available.

  URL:        http://php1-bmengdev.dev.rhcloud.com/
  SSH to:     117223545339463396753408@php1-bmengdev.dev.rhcloud.com
  Git remote: ssh://117223545339463396753408@php1-bmengdev.dev.rhcloud.com/~/git/php1.git/
  Cloned to:  /root/openshifttest/php1

Run 'rhc show-app php1' for more details about your app.

No extra client output.

Note You need to log in before you can comment on or make changes to this bug.